baseline.als {baseline} | R Documentation

## Asymmetric Least Squares

### Description

Baseline correction by 2nd derivative constrained weighted regression. Original algorithm proposed by Paul H. C. Eilers and Hans F.M. Boelens

### Usage

    baseline.als(spectra, lambda = 6, p = 0.05, maxit = 20)

### Arguments

`spectra` | Matrix with spectra in rows
`lambda` | 2nd derivative constraint
`p` | Weighting of positive residuals
`maxit` | Maximum number of iterations

### Details

Iterative algorithm applying 2nd derivative constraints. Weights from previous iteration is `p` for positive residuals and `1-p` for negative residuals.

### Value

`baseline` | Matrix of baselines corresponding to spectra `spectra`
`corrected` | Matrix of baseline corrected spectra
`wgts` | Matrix of final regression weights

### Author(s)

Kristian Hovde Liland and Bjørn-Helge Mevik

### References

Paul H. C. Eilers and Hans F.M. Boelens: Baseline Correction with Asymmetric Least Squares Smoothing

### Examples

    data(milk)
    bc.als <- baseline(milk$spectra[1,, drop=FALSE], lambda=10, method='als')
    ## Not run:
    plot(bc.als)

    ## End(Not run)

[Package baseline version 1.2-1 Index]